



echo provider "logicmonitor" { version="2.0.1" } > init.tf
IF %ERRORLEVEL% NEQ 0 exit /B 1
terraform init
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist .terraform\plugins\windows_amd64\lock.json exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if exist .terraform\plugins\windows_amd64\terraform-provider-logicmonitor_v2.0.1_x4.exe exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
